Skip to main content

Create member

This endpoint allows you to create a new member using the required parameters institution_code, credentials (if creating a non-OAuth member), and data_request.products. When creating a non-OAuth member, include the correct type of credential required by the financial institution and provided by the user. You can find out which credential type is required with the /institutions/{institution_code}/credentials endpoint.

Once you successfully create a member, MX will immediately validate the provided credentials and attempt to aggregate data. OAuth members will not begin aggregation until the user completes authorization; aggregation initiates automatically after the OAuth flow is completed.

Response status codes:
- 200 - Member created, no aggregation job initiated.
- 201 - Member created, but one or more products in data_request failed.
- 202 - Member created, aggregation requested. Does not indicate aggregation success or failure.

POST
/users/{user_identifier}/members

Path Parameters

FieldRequiredType

user_identifier

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String

X-CALLBACK-PAYLOAD

The base64 encoded string defined in this header will be returned in the Member and Member Data Updated webhooks. This allows you to trace user interactions and workflows initiated externally and internally in the MX Platform. Max 1024 characters.

Optional
String

Request Body

Member object to be created

FieldRequiredType

data_request

Contains a products array that specifies the products you want to aggregate.

Optional
Object

member

Optional
Object

oauth

Optional
Object
Loading...